package com.fq.channel.sdk.base.exception;

/**
 * @Description: okhttp 网络异常
 * @Author: FLuty
 * @CreateDate: 2020/3/30 17:43
 */
public class BaseException extends Exception {
    private   int code ;  //错误码
    private   String msg;    //错误信息

    public BaseException(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String toString() {
        return "BaseException{" +
                "code='" + code + '\'' +
                ", msg='" + msg + '\'' +
                '}';
    }
}
